#include "valuechangebutton.h"

ValueChangeButton::ValueChangeButton(QWidget *parent) :
	QPushButton(parent)
{
	connect(this, SIGNAL(clicked()), this, SLOT(handleClick()));
}

void ValueChangeButton::setId(int id)
{
	mId = id;
}

void ValueChangeButton::setDelta(double delta)
{
	mDelta = delta;
}

void ValueChangeButton::handleClick()
{
	emit buttonClicked(mId, mDelta);
}

