#ifndef VALUECHANGEBUTTON
#define VALUECHANGEBUTTON

#include <QPushButton>

class ValueChangeButton : public QPushButton
{
	Q_OBJECT

public:
	explicit ValueChangeButton(QWidget *parent = 0);

	void setId(int id);
	void setDelta(double delta);

signals:
	void buttonClicked(int, double);

private slots:
	void handleClick();

private:
	int mId;
	double mDelta;

};

#endif // VALUECHANGEBUTTON

