#include "valuechangeslider.h"

ValueChangeSlider::ValueChangeSlider(QWidget *parent) :
	QSlider(parent)
{
	connect(this, SIGNAL(valueChanged(int)), this, SLOT(handleValueChange(int)));
}

void ValueChangeSlider::setId(int id)
{
	mId = id;
}

void ValueChangeSlider::handleValueChange(int value)
{
	emit sliderValueChanged(mId, (double)value);
}

