#ifndef VALUECHANGESLIDER
#define VALUECHANGESLIDER

#include <QSlider>

class ValueChangeSlider : public QSlider
{
	Q_OBJECT

public:
	explicit ValueChangeSlider(QWidget *parent = 0);

	void setId(int id);

signals:
	void sliderValueChanged(int, double);

private slots:
	void handleValueChange(int);

private:
	int mId;

};

#endif // VALUECHANGESLIDER

